Passer au contenu principal
GET
/
2
/
users
/
personalized_trends
Obtenir les tendances personnalisées
curl --request GET \
  --url https://api.x.com/2/users/personalized_trends \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "category": "<string>",
      "post_count": 123,
      "trend_name": "<string>",
      "trending_since": "<string>"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

personalized_trend.fields
enum<string>[]

Une liste de champs PersonalizedTrend, séparés par des virgules, à renvoyer. Les champs disponibles pour l’objet PersonalizedTrend.

Minimum array length: 1
Options disponibles:
category,
post_count,
trend_name,
trending_since
Exemple:
[
"category",
"post_count",
"trend_name",
"trending_since"
]

Réponse

La requête a réussi.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).